<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.iocoder.yudao.module.payment.mapper.FzRecordMapper">



    <select id="selectFzRecordList"  resultType="cn.iocoder.yudao.module.payment.entity.FzRecord">
        select * from fz_record
        <where>
            <if test="vo.partnerName != null  and vo.partnerName != ''"> and partner_name like concat('%', #{vo.partnerName}, '%')</if>
            <if test="vo.orderNo != null  and vo.orderNo != ''"> and order_no = #{vo.orderNo}</if>
            <if test="vo.isSuccess != null  and vo.isSuccess != ''"> and is_success = #{vo.isSuccess}</if>
        </where>
    </select>

    <select id="selectFzRecordById" parameterType="Long" resultType="cn.iocoder.yudao.module.payment.entity.FzRecord">
      select * from fz_record
        where id = #{id}
    </select>

</mapper>
